%example for using Physio GE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% example 1:
% EPI resting scan, BOLD, interleaved slices
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

brikIn='example/epirest';
PPGfile='example/physio/PPGData_fmri_ucsd_0414201114_42_11_530_epirest';
RESPfile='example/physio/RESPData_fmri_ucsd_0414201114_42_11_530_epirest';
brikOut='epirest_phys';
ref=[];  %resting scan, no reference function
model='raw';  %bold
slflag=1;  %interleaved slices

physioGE(brikIn, PPGfile, RESPfile, brikOut, ref, model, slflag)  %remove physio noise
% or
physioGERG(brikIn, PPGfile, RESPfile, brikOut);  % generate regressors only

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% example 2:
% EPI functional scan, BOLD, interleaved slices
% reference is defined in ref_epifun.1D
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

brikIn='example/epifunc.nii.gz';
PPGfile='example/physio/PPGData_fmri_ucsd_0709201011_58_03_867_epifunc';
RESPfile='example/physio/RESPData_fmri_ucsd_0709201011_58_03_867_epifunc';
brikOut='epifunc_phys';
ref='example/ref_epifunc.1D';  %reference is defined in ref_epifun.1D 
model='raw'; %bold
slflag=1; %interleaved slices

physioGE(brikIn, PPGfile, RESPfile, brikOut, ref, model, slflag) %remove physio noise
% or
physioGERG(brikIn, PPGfile, RESPfile, brikOut);  % generate regressors only

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% example 3:
% ASL functional scan, sequential slices
% reference is defined in ref_epifun.1D
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

brikIn='example/aslfunc';
PPGfile='example/physio/PPGData_spep_0709201012_23_24_343_aslfunc';
RESPfile='example/physio/RESPData_spep_0709201012_23_24_343_aslfunc';
brikOut='aslfunc_phys';
ref='example/ref_aslfunc.1D';  %reference is defined in ref_epifun.1D 
model='d3'; %d3 will be performed for asl data
slflag=0; %sequential slices


physioGE(brikIn, PPGfile, RESPfile, brikOut, ref, model, slflag)  %remove physio noise
% or
physioGERG(brikIn, PPGfile, RESPfile, brikOut);  % generate regressors only







